Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155746 - CAN-2005-0988 Race condition in gzip
Summary: CAN-2005-0988 Race condition in gzip
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gzip
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20050404,source=bug...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 18:22 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.3.3-15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 07:20:55 UTC


Attachments (Terms of Use)
Used patch (deleted)
2005-04-26 12:48 UTC, Ivana Varekova
no flags Details | Diff

Description Josh Bressers 2005-04-22 18:22:24 UTC
+++ This bug was initially created as a clone of Bug #155745 +++

Race condition in gzip 1.2.4, 1.3.3, and earlier when decompressing a gzip
allows local users to modify permissions of arbitrary files via a hard link
attack on a file while it is being decompressed, whose permissions are changed
by gzip after the decompression is complete.

http://www.securityfocus.com/archive/1/394965

Comment 1 Ivana Varekova 2005-04-26 12:48:58 UTC
Created attachment 113665 [details]
Used patch

I fixed this problem in devel (gzip-1.3.5-4). (I changed permissions and
ownership before output file is closed.)

Ivana Varekova

Comment 2 Michal Jaegermann 2005-06-16 19:56:55 UTC
"CLOSED RAWHIDE" is absolutely of no help to all FC3 installations out there
with now a widely known open security issues. There were recent updates for RHEL.
See https://rhn.redhat.com/errata/RHSA-2005-357.html
Do you propose that everybody should recompile rawhide gzip rpms on their own?
Not that hard to do, but ....

Comment 3 Ivana Varekova 2005-06-17 10:19:18 UTC
fc3 package is built now (gzip-1.3.3-14.fc3).


Comment 4 Michal Jaegermann 2005-06-17 19:53:34 UTC
Sigh!  gzip-1.3.5-14.fc3 indeed closes CAN-2005-0988 and CAN-2005-1228
but CAN-2005-0758 (bug 121514) is still there.  That bug was fixed in
RHEL gzip updates and exactly the same fix showed up in bzgrep from
bzip2-1.0.2-13.FC3.1 released yesterday.  FC4 gzip packages also do not
sport that bug.


Comment 5 Ivana Varekova 2005-06-20 11:57:59 UTC
fc3 package with CAN-2005-0758 (bug 121514) - patch is built now
(gzip-1.3.3-15.fc3).


Note You need to log in before you can comment on or make changes to this bug.